Skip to content

bots.updateMemoryBot

PATCH
/v1/bots/{botId}/memory/bot
curl --request PATCH \
--url https://example.com/v1/bots/example/memory/bot \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "expected": 1, "instructions": "example", "concurrency": 1, "budget": { "period": "day", "limitMicros": 1 } }'

Changes the rules, the concurrency and the budget of the memory Bot. It needs bots.write on a Bot that is not linked.

botId
required
string
>= 1 characters <= 128 characters
Media typeapplication/json
object
expected
required
integer
<= 9007199254740991
instructions
string
<= 20000 characters
concurrency
Any of:
integer
> 0 <= 9007199254740991
budget
Any of:
object
period
required
string
Allowed values: day month
limitMicros
required
integer
<= 9007199254740991

Success

Media typeapplication/json
object
instructions
required
string
concurrency
integer
> 0 <= 9007199254740991
budget
object
period
required
string
Allowed values: day month
limitMicros
required
integer
<= 9007199254740991
revision
required
integer
<= 9007199254740991

Example

{
"budget": {
"period": "day"
}
}

BotInvalid | OrganizationRequired

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: BotInvalid
message
required
string

Example

{
"_tag": "BotInvalid"
}

AuthenticationRequired

Media typeapplication/json
object
_tag
required
string
Allowed values: AuthenticationRequired

Example

{
"_tag": "AuthenticationRequired"
}

PermissionDenied | MembershipRequired | ForbiddenOrigin

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: PermissionDenied
permission
required
string
Allowed values: responses.run sessions.read sessions.write requests.resolve bots.read bots.write bots.delegate bots.share triggers.read triggers.write channels.read channels.write channels.use channel_identities.read channel_identities.write connections.read connections.write apps.use apps.publish computers.read computers.write computers.use computer_providers.read computer_providers.write computer_providers.use models.use tokens.read tokens.write organization.read organization.write roles.write model_providers.read model_providers.write sso.read sso.write platform.read platform.write members.read members.write audit_logs.read usage.read budgets.read budgets.write
resource
required
string

Example

{
"_tag": "PermissionDenied",
"permission": "responses.run"
}

BotNotFound

Media typeapplication/json
object
_tag
required
string
Allowed values: BotNotFound
bot
required
string

Example

{
"_tag": "BotNotFound"
}

BotConflict

Media typeapplication/json
object
_tag
required
string
Allowed values: BotConflict
message
required
string

Example

{
"_tag": "BotConflict"
}

RateLimited

Media typeapplication/json
object
_tag
required
string
Allowed values: RateLimited
retryAfterSeconds
required
integer
>= -9007199254740991 <= 9007199254740991

Example

{
"_tag": "RateLimited"
}

AuthorizationUnavailable | BotStorageUnavailable | AuthenticationUnavailable

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: AuthorizationUnavailable

Example

{
"_tag": "AuthorizationUnavailable"
}